package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag291;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT291Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag71BCreator extends AbsTagCreate {
    private MT291Creator mt291Creator;
    public Tag71BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt291Creator = (MT291Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag71BValue = mt291Creator.getDetailsofCharges();
        mt291Creator.set("71B",tag71BValue);
    }
}
